Skip to main content
GET
/
api
/
presentations
/
{presentationId}
/
appointment
Get available appointment slots
curl --request GET \
  --url https://app.demand-iq.com/api/presentations/{presentationId}/appointment \
  --header 'x-presentation-token: <x-presentation-token>'
{
  "slotsByDate": {},
  "appointmentLength": 60,
  "timezone": "America/Denver",
  "existingAppointment": {
    "startTime": "2023-11-07T05:31:56Z",
    "endTime": "2023-11-07T05:31:56Z"
  },
  "prospectEmail": "jsmith@example.com",
  "prospectPhone": "<string>"
}

Headers

x-presentation-token
string
required

Presentation authentication token

Path Parameters

presentationId
string<uuid>
required

Response

Available slots and existing appointment

slotsByDate
object

Available time slots grouped by date (YYYY-MM-DD keys)

appointmentLength
integer

Appointment duration in minutes

Example:

60

timezone
string

IANA timezone for the prospect

Example:

"America/Denver"

existingAppointment
object

The prospect's existing appointment, if any

prospectEmail
string<email> | null
prospectPhone
string | null